
BIBD 3.9.8 (BCR1085, BCR1093, BCR1098) - Bug #17177

[BCR1093][MP][Device Binding] User Role access matrix is not working

11 August 2023 04:03 PM - Feerman Yusoff

Status: Closed Start date: 11 August 2023

Priority: Normal Due date:  

Assignee: wanansari wanansari % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

1. Login with User ID - silverlakeadmin1 (System Owner)

2. Click 'Administration' menu

3. Click 'User Role'

4. Select all for Device Binded Maintenance role

5. Logout and Login back and Click 'Device Management' menu

6. Go on 'Change Primary / Unbind Device' and click 'Search'

7. Click on 'Action'

Issue:

- Only got access for 'View' action

Expected:

- Should've got full access to View, Unbind Device, Approve/Reject Unbind, Change Primary, Approve/Reject Change Primary

History

#1 - 17 August 2023 11:41 AM - See Pin Leng

- Status changed from New to Pending Information

- Assignee changed from See Pin Leng to Feerman Yusoff

About the issue, which user data you are mention for?

Because Action list is based on user condition to list out.

Below is the condition provided by Aqila:

Primary – Active (View, Unbind Device)

Primary – Pending Approval Unbind (View, Approve/Reject Unbind)

Secondary – Active (View, Unbind Device, Change Primary)

Secondary – Pending Approval Unbind (View, Approve/Reject Unbind)

Secondary – Pending Approval Change Primary (View, Approve/Reject Change Primary)

#2 - 17 August 2023 06:24 PM - Feerman Yusoff

- File IMG_1242.MOV added

- Assignee changed from Feerman Yusoff to See Pin Leng

As in video uploaded, all role access have been given into the user. But, it doesn't reflect on the role given since it can only be view for action (refer in

the video)

- all role have been given but can only view

#3 - 19 August 2023 05:18 PM - See Pin Leng
- Status changed from Pending Information to Resolved

- Assignee changed from See Pin Leng to Feerman Yusoff

- % Done changed from 0 to 100

Issue fixed.

#4 - 22 August 2023 11:44 AM - Feerman Yusoff

- Status changed from Resolved to Closed

- Assignee changed from Feerman Yusoff to wanansari wanansari

Tested good as expected

Files

IMG_1242.MOV 13.6 MB 17 August 2023 Feerman Yusoff
